> ## Documentation Index
> Fetch the complete documentation index at: https://rollout.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Custom Field

> Requires `customFields: true` in the credential's `entitiesToSync` selection and a connector that supports this operation. [Choose what data to sync](https://rollout.com/docs/advanced-guides/controlling-which-records-sync-with-rollout), or [fix an entity that is not configured to sync](https://rollout.com/docs/troubleshooting/entity-not-configured-to-sync).



## OpenAPI

````yaml /openapi/crm.json get /customFields/{id}
openapi: 3.0.3
info:
  title: Universal CRM API Documentation
  description: Development documentation
  version: '1.0'
servers:
  - url: https://crm.universal.rollout.com/api
security: []
paths:
  /customFields/{id}:
    get:
      tags:
        - Custom Fields
      summary: Get Custom Field
      description: >-
        Requires `customFields: true` in the credential's `entitiesToSync`
        selection and a connector that supports this operation. [Choose what
        data to
        sync](https://rollout.com/docs/advanced-guides/controlling-which-records-sync-with-rollout),
        or [fix an entity that is not configured to
        sync](https://rollout.com/docs/troubleshooting/entity-not-configured-to-sync).
      operationId: getCustomFieldsById
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Response for status 200
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      type:
                        type: string
                        enum:
                          - text
                      id:
                        type: string
                      label:
                        type: string
                      name:
                        nullable: true
                        type: string
                      originalIds:
                        type: object
                        additionalProperties:
                          anyOf:
                            - type: number
                            - type: string
                      original:
                        type: object
                        additionalProperties:
                          type: object
                          additionalProperties: {}
                    required:
                      - type
                      - id
                      - label
                      - name
                      - originalIds
                      - original
                  - type: object
                    properties:
                      type:
                        type: string
                        enum:
                          - date
                      id:
                        type: string
                      label:
                        type: string
                      name:
                        nullable: true
                        type: string
                      isRecurring:
                        type: boolean
                      originalIds:
                        type: object
                        additionalProperties:
                          anyOf:
                            - type: number
                            - type: string
                      original:
                        type: object
                        additionalProperties:
                          type: object
                          additionalProperties: {}
                    required:
                      - type
                      - id
                      - label
                      - name
                      - isRecurring
                      - originalIds
                      - original
                  - type: object
                    properties:
                      type:
                        type: string
                        enum:
                          - number
                      id:
                        type: string
                      label:
                        type: string
                      name:
                        nullable: true
                        type: string
                      originalIds:
                        type: object
                        additionalProperties:
                          anyOf:
                            - type: number
                            - type: string
                      original:
                        type: object
                        additionalProperties:
                          type: object
                          additionalProperties: {}
                    required:
                      - type
                      - id
                      - label
                      - name
                      - originalIds
                      - original
                  - type: object
                    properties:
                      type:
                        type: string
                        enum:
                          - dropdown
                      id:
                        type: string
                      label:
                        type: string
                      name:
                        nullable: true
                        type: string
                      choices:
                        type: array
                        items:
                          type: string
                      originalIds:
                        type: object
                        additionalProperties:
                          anyOf:
                            - type: number
                            - type: string
                      original:
                        type: object
                        additionalProperties:
                          type: object
                          additionalProperties: {}
                    required:
                      - type
                      - id
                      - label
                      - name
                      - choices
                      - originalIds
                      - original
        '400':
          description: Response for status 400
          content:
            application/json:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
        '404':
          description: Response for status 404
          content:
            application/json:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
        '409':
          description: Response for status 409
          content:
            application/json:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                    enum:
                      - >-
                        Data for this credential is not ready yet. Please try
                        again.
                required:
                  - errorMessage
      security:
        - jwt: []
          credential_id: []
components:
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      description: Consumer JWT minted by the tenant's backend
    credential_id:
      type: apiKey
      in: header
      name: X-Rollout-Credential-Id
      description: The Rollout Credential ID to use for queries/mutations

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.